### A free/open-source library for quantitative finance

Classes
ql/pricingengines/forward/forwardengine.hpp File Reference

Forward (strike-resetting) vanilla-option engine. More...

`#include <ql/instruments/forwardvanillaoption.hpp>`
`#include <ql/instruments/vanillaoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/termstructures/volatility/equityfx/impliedvoltermstructure.hpp>`
`#include <ql/termstructures/yield/impliedtermstructure.hpp>`
`#include <ql/instruments/payoffs.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for forwardengine.hpp:

## Classes

class | ForwardVanillaEngine< Engine >
| Forward engine for vanilla options More...

## Detailed Description

Forward (strike-resetting) vanilla-option engine.